# xoxys.facts
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.facts/status.svg)](https://drone.rknet.org/ansible/xoxys.facts)


Basic ansible role for facts small configs

## Table of content

* [Default Variables](#default-variables)
  * [facts_motd_enabled](#facts_motd_enabled)
  * [facts_motd_company_name](#facts_motd_company_name)
  * [facts_tls_ca_trust_source](#facts_tls_ca_trust_source)
  * [facts_tls_ca_certs](#facts_tls_ca_certs)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### facts_motd_enabled

#### Default value

```YAML
facts_motd_enabled: false
```

### facts_motd_company_name

#### Default value

```YAML
facts_motd_company_name: Exaple Inc.
```

### facts_tls_ca_trust_source

#### Default value

```YAML
facts_tls_ca_trust_source: /etc/pki/ca-trust/source/anchors
```

### facts_tls_ca_certs

#### Default value

```YAML
facts_tls_ca_certs: []
```

#### Example usage

```YAML
  - name: myCA.pem
    path: files/tls/myCA.pem
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
